base-4.6.0.1: Basic libraries

Safe Haskell | Trustworthy

GHC.Fingerprint

# Documentation

data Fingerprint

Constructors

Fingerprint !Word64 !Word64 |

Instances

Eq Fingerprint |
Ord Fingerprint |
Storable Fingerprint |

fingerprint0 :: Fingerprint

fingerprintData :: Ptr Word8 -> Int -> IO Fingerprint

fingerprintString :: String -> Fingerprint

fingerprintFingerprints :: [Fingerprint] -> Fingerprint